<?xml version="1.0"?>
<project name="Build System" default="validate" basedir="." xmlns:sf="antlib:com.salesforce">

    <taskdef uri="antlib:com.salesforce" resource="com/salesforce/antlib.xml"
             classpath="${basedir}/ant-salesforce.jar"/>

    <target name="deploy" depends="build" />
    <target name="deploy_test" depends="build_test" />

    <target name="validate" depends="check" />
    <target name="validate_test" depends="check_test" />

    <target name="check">
        <sf:deploy
                username="${username}"
                password="${password}"
                serverurl="${serverurl}"
                deployRoot="${deployRoot}"
                checkOnly="true"
                maxPoll="${maxPoll}"
                pollWaitMillis="10000"
                allowMissingFiles="false"
                rollbackOnError="true"
        />
    </target>
    <target name="check_test">
        <sf:deploy
                username="${username}"
                password="${password}"
                serverurl="${serverurl}"
                deployRoot="${deployRoot}"
                checkOnly="true"
                maxPoll="${maxPoll}"
                pollWaitMillis="10000"
                allowMissingFiles="false"
                rollbackOnError="true"
                testLevel="RunLocalTests"
        />
    </target>

    <target name="build">
        <sf:deploy
                username="${username}"
                password="${password}"
                serverurl="${serverurl}"
                deployRoot="${deployRoot}"
                checkOnly="false"
                maxPoll="${maxPoll}"
                pollWaitMillis="10000"
                allowMissingFiles="false"
                rollbackOnError="true"
        />
    </target>
    <target name="build_test">
        <sf:deploy
                username="${username}"
                password="${password}"
                serverurl="${serverurl}"
                deployRoot="${deployRoot}"
                checkOnly="false"
                maxPoll="${maxPoll}"
                pollWaitMillis="10000"
                allowMissingFiles="false"
                rollbackOnError="true"
                testLevel="RunLocalTests"
        />
    </target>

</project>
